## cutecom 0.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.3 FATAL_ERROR )

find_package(Qt3 REQUIRED)

include_directories(${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR})

set(cutecomSrcs main.cpp qcppdialogimpl.cpp)

qt_wrap_cpp(foo cutecomSrcs qcppdialogimpl.h)

qt_wrap_ui(foo uiHeaders cutecomSrcs cutecommdlg.ui)

add_executable(cutecom ${cutecomSrcs} ${uiHeaders})
target_link_libraries(cutecom ${QT_LIBRARIES})

install(TARGETS cutecom DESTINATION bin )



find_program(KDECONFIG_EXECUTABLE NAMES kde-config )

if (KDECONFIG_EXECUTABLE)
   # then ask kde-config for the kde data dirs
   exec_program(${KDECONFIG_EXECUTABLE} ARGS --install apps --expandvars OUTPUT_VARIABLE _apps_DIR )
   install(FILES cutecom.desktop DESTINATION ${_apps_DIR}/Utilities)
endif (KDECONFIG_EXECUTABLE)

## cutecom 0.20.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.3 FATAL_ERROR )

project(CuteCom)

find_package(Qt4 REQUIRED)

include_directories(${QT_INCLUDES} ${CMAKE_BINARY_DIR})
add_definitions(-DQT3_SUPPORT)
set(cutecomSrcs main.cpp qcppdialogimpl.cpp)

qt4_wrap_cpp(cutecomSrcs qcppdialogimpl.h)

qt4_wrap_ui(cutecomSrcs cutecommdlg.ui)

add_executable(cutecom ${cutecomSrcs} ${uiHeaders})
target_link_libraries(cutecom ${QT_QT3SUPPORT_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS cutecom DESTINATION bin )

install(FILES cutecom.1 DESTINATION man/man1 )

find_program(KDECONFIG_EXECUTABLE NAMES kde-config )

if (KDECONFIG_EXECUTABLE)
   # then ask kde-config for the kde data dirs
   exec_program(${KDECONFIG_EXECUTABLE} ARGS --install apps --expandvars OUTPUT_VARIABLE _apps_DIR )
   install(FILES cutecom.desktop DESTINATION ${_apps_DIR}/Utilities)
endif (KDECONFIG_EXECUTABLE)

## cutecom 0.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 project(CuteCom)
 
+set(QT_MIN_VERSION 4.1.0)
 find_package(Qt4 REQUIRED)
 
 include_directories(${QT_INCLUDES} ${CMAKE_BINARY_DIR})
@@ -12,12 +13,30 @@
 
 qt4_wrap_ui(cutecomSrcs cutecommdlg.ui)
 
-add_executable(cutecom ${cutecomSrcs} ${uiHeaders})
+set(exeType)
+set(binInstallDir bin )
+
+if(APPLE)
+   # with cmake < 2.6 install(TARGETS ... BUNDLE DESTINATION ... ) doesn't work:
+   cmake_minimum_required(VERSION 2.6 FATAL_ERROR )
+   set(exeType MACOSX_BUNDLE)
+   set(binInstallDir /Applications )
+   # hint to linker for indirect referenced libs inside qt3support
+   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -dylib_file QtSql.framework/Versions/4/QtSql:/Library/Frameworks/QtSql.framework/Versions/4/QtSql")
+   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -dylib_file QtNetwork.framework/Versions/4/QtNetwork:/Library/Frameworks/QtNetwork.framework/Versions/4/QtNetwork")
+   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -dylib_file QtXml.framework/Versions/4/QtXml:/Library/Frameworks/QtXml.framework/Versions/4/QtXml")
+endif(APPLE)
+
+add_executable(cutecom ${exeType} ${cutecomSrcs} ${uiHeaders})
 target_link_libraries(cutecom ${QT_QT3SUPPORT_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})
 
-install(TARGETS cutecom DESTINATION bin )
+if (APPLE)
+   set_target_properties(cutecom PROPERTIES OUTPUT_NAME CuteCom)
+endif (APPLE)
 
-install(FILES cutecom.1 DESTINATION man/man1 )
+install(TARGETS cutecom DESTINATION ${binInstallDir} )
+
+install(FILES cutecom.1 DESTINATION share/man/man1 )
 
 find_program(KDECONFIG_EXECUTABLE NAMES kde-config )

## cutecom 0.30.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR )

project(CuteCom)

set (CuteCom_MAJOR_VERSION 0)
set (CuteCom_MINOR_VERSION 30)
set (CuteCom_PATCH_VERSION 3)
set (CuteCom_VERSION
     ${CuteCom_MAJOR_VERSION}.${CuteCom_MINOR_VERSION}.${CuteCom_PATCH_VERSION})

configure_file (
  "${PROJECT_SOURCE_DIR}/version.h.in"
  "${PROJECT_SOURCE_DIR}/version.h"
)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# Find the Qt libraries
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
#find_package(Serialport REQUIRED)

qt5_wrap_ui(uiHeaders controlpanel.ui  mainwindow.ui statusbar.ui sessionmanager.ui)
set(cutecomSrcs main.cpp mainwindow.cpp controlpanel.cpp  devicecombo.cpp
    serialdevicelistmodel.cpp  settings.cpp statusbar.cpp sessionmanager.cpp
    datadisplay.cpp)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
# C++14: set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++1y")
#add_definitions("-std=c++11")

set(exeType)
set(binInstallDir bin )

if(APPLE)
   set(exeType MACOSX_BUNDLE)
   set(binInstallDir /Applications )
endif(APPLE)

add_executable(cutecom ${exeType} ${cutecomSrcs} ${uiHeaders} resources.qrc)


qt5_use_modules(cutecom Core Gui Widgets SerialPort)

if (APPLE)
   set_target_properties(cutecom PROPERTIES OUTPUT_NAME CuteCom)
endif (APPLE)

install(TARGETS cutecom DESTINATION ${binInstallDir} )

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic")
endif()

set (CPACK_PACKAGE_VERSION ${CuteCom_VERSION})
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_GENERATOR "RPM")
set (CPACK_PACKAGE_NAME "cutecom")
set (CPACK_PACKAGE_RELEASE 1)
set (CPACK_PACKAGE_VENDOR "cyc1insir")
set (CPACK_PACKAGE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_PACKAGE_RELEASE}.${CMAKE_SYSTEM_PROCESSOR}")
configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/distribution/rpm-generic.spec.in" 
    "${CMAKE_CURRENT_BINARY_DIR}/cutecom.spec"
    @ONLY IMMEDIATE )
set (CPACK_RPM_USER_BINARY_SPECFILE "${CMAKE_CURRENT_BINARY_DIR}/cutecom.spec")
set (CPACK_SOURCE_PACKAGE_FILE_NAME 
       "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
       "${CMAKE_CURRENT_BINARY_DIR};/.git/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist COMMAND git archive --format tar --prefix=cutecom-${CuteCom_VERSION}/ HEAD | gzip > ${CMAKE_CURRENT_BINARY_DIR}/${CPACK_SOURCE_PACKAGE_FILE_NAME}.tgz WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
cutecom (0.30.3-1) unstable; urgency=low

  * New upstream release based on Qt5 (Closes: #788179, #696221)
  * Update license to GPLv3+, upstream changed to that in 2015
  * Update homepage, source, copyright and watch information (upstream
    development moved to github)
  * Switch to dpkg-source 3.0 (quilt) format
  * Upgrade package to standards 3.9.8
  * Upgrade to debhelper 10, set compat 10
  * Use standard dh rules to build the package
  * Drop "cutecom-0.22.0-nolinebreak.diff", obsolete
  * Drop "cutecom-remove-deprecated-desktop-entries.patch", obsolete
  * Drop "fix_pathes_for_debian.patch", obsolete
  * Remove obsolete menu support
  * Use Cmake RelWithDebInfo build type to get '-O2 -g' flags
  * Install desktop file (for 'System' category) system-wide (previously
    it was installed into kde directory) (Closes: #614793) (LP: #1575347)
  * Install an icon

 -- Roman I Khimov <roman@khimov.ru>  Mon, 03 Oct 2016 23:04:20 +0300

cutecom (0.22.0-2) unstable; urgency=low

  * Add cutecom-0.22.0-nolinebreak.diff (closes: #591666)
  * Install menu item for simple window managers (was always present in
    debian dir, but not installed), change deprecated Apps/Tools section
    to Applications/System/Hardware (nothing more appropriate IMO)
  * Move .desktop file from /usr/share/applnk to more appropriate
    /usr/share/applications/kde (should fix Ubuntu bug 379932)
  * Add cutecom-remove-deprecated-desktop-entries.patch, fixes lintian
    warnings
  * Upgrade package to standards 3.9.1

 -- Roman I Khimov <roman@khimov.ru>  Thu, 12 Aug 2010 22:47:38 +0400

cutecom (0.22.0-1) unstable; urgency=low

  * New upstream release
  * Upgrade package to standards 3.8.2

 -- Roman I Khimov <roman@khimov.ru>  Mon, 13 Jul 2009 00:16:00 +0400

cutecom (0.21.0-1) unstable; urgency=low

  * New upstream release
  * Upgrade package to standards 3.8.1

 -- Roman I Khimov <roman@khimov.ru>  Wed, 13 May 2009 23:09:09 +0400

cutecom (0.20.0-1) unstable; urgency=low

  * New upstream release
  * Switch from qt3 to qt4
  * Upgrade package to standards 3.8.0
  * Upgrade package to debhelper 7
  * Rewrite copyright file in machine-interpretable format
  * Add homepage field in control
  * Switch from dpatch to quilt for patch management
  * Remove 01-fix_iostream_include.dpatch and 02-fix_comparison_warning.dpatch
    patches (moved upstream)
  * Add fix_pathes_for_debian.patch, changes install path to conform Debian
    standards

 -- Roman I Khimov <roman@khimov.ru>  Sun, 23 Aug 2008 14:31:40 +0400

cutecom (0.14.1-2) unstable; urgency=low

  * Resolve 'cutecom override disparity' found by Debian Installer, moving
    package into 'comm' section

 -- Roman I Khimov <roman@khimov.ru>  Fri, 27 Nov 2006 09:27:09 +0300

cutecom (0.14.1-1) unstable; urgency=low

  * Initial release (Closes: #400388)
  * Change CMakeLists.txt to install cutecom.desktop into fixed (proper for
    Debian) location.
  * Add patches to fix compile warnings

 -- Roman I Khimov <roman@khimov.ru>  Fri, 26 Nov 2006 19:15:49 +0300

=== debian/control ===
Source: cutecom
Section: comm
Priority: optional
Maintainer: Roman I Khimov <roman@khimov.ru>
Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev (>= 5.1.0), qt5-qmake (>= 5.1.0), qtbase5-dev-tools (>= 5.1.0), libqt5serialport5-dev (>= 5.1.0)
Standards-Version: 3.9.8
Homepage: http://github.com/neundorf/CuteCom

Package: cutecom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lrzsz
Description: Graphical serial terminal, like minicom
 Cutecom is a graphical serial terminal, like minicom.
 It is aimed mainly at hardware developers or other people who need a
 terminal to talk to their devices. It features lineoriented interface
 instead of character-oriented, xmodem, ymodem, zmodem support
 (requires the lrzsz package) and hexadecimal input and output among
 other things.
 It is written using the Qt library originally by Trolltech (www.trolltech.com).

## cutecom 0.51.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 project(CuteCom)
 
 set (CuteCom_MAJOR_VERSION 0)
-set (CuteCom_MINOR_VERSION 30)
-set (CuteCom_PATCH_VERSION 3)
+set (CuteCom_MINOR_VERSION 51)
+set (CuteCom_PATCH_VERSION 0)
 set (CuteCom_VERSION
      ${CuteCom_MAJOR_VERSION}.${CuteCom_MINOR_VERSION}.${CuteCom_PATCH_VERSION})
 
@@ -23,12 +23,16 @@
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Gui REQUIRED)
-#find_package(Serialport REQUIRED)
+find_package(Qt5SerialPort REQUIRED)
+find_package(Qt5Network REQUIRED)
 
-qt5_wrap_ui(uiHeaders controlpanel.ui  mainwindow.ui statusbar.ui sessionmanager.ui)
+qt5_wrap_ui(uiHeaders controlpanel.ui  mainwindow.ui statusbar.ui sessionmanager.ui searchpanel.ui
+    macroplugin.ui macrosettings.ui netproxyplugin.ui netproxysettings.ui counterplugin.ui)
 set(cutecomSrcs main.cpp mainwindow.cpp controlpanel.cpp  devicecombo.cpp
     serialdevicelistmodel.cpp  settings.cpp statusbar.cpp sessionmanager.cpp
-    datadisplay.cpp)
+    datadisplay.cpp datahighlighter.cpp searchpanel.cpp timeview.cpp ctrlcharacterspopup.cpp 
+    plugin.cpp pluginmanager.cpp macroplugin.cpp macrosettings.cpp netproxyplugin.cpp netproxysettings.cpp
+    counterplugin.cpp)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 # C++14: set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++1y")
@@ -45,7 +49,7 @@
 add_executable(cutecom ${exeType} ${cutecomSrcs} ${uiHeaders} resources.qrc)
 
 
-qt5_use_modules(cutecom Core Gui Widgets SerialPort)
+target_link_libraries(cutecom Qt5::Core Qt5::Gui Qt5::Widgets Qt5::SerialPort Qt5::Network)
 
 if (APPLE)
    set_target_properties(cutecom PROPERTIES OUTPUT_NAME CuteCom)

=== debian/changelog ===
cutecom (0.51.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112822)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 15:36:47 +0300

cutecom (0.51.0-1) unstable; urgency=medium

  * New upstream release (Closes: #911378, #1020432)
  * Change Qt dependency version to 5.3.0 as it's the minimal
    supported version now
  * Update homepage and watch file, project moved to Gitlab
  * Upgrade package to standards 4.6.1
  * Upgrade to debhelper 12, set compat 12
  * Update copyright, icons were changed to public domain versions, some
    new authors added
  * Remove man-page-update.patch, merged upstream
  * Use updated desktop file with 'Comment' section (Closes: #847088)
    (LP: #1575347)
  * Add qt-5-15-build-fix.patch to build with new Qt
  * Add improve-desktop-file.patch to drop obsolete lines (fixing lintian)
    and add categories

 -- Roman I Khimov <roman@khimov.ru>  Sun, 25 Sep 2022 15:19:26 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: comm
 Priority: optional
 Maintainer: Roman I Khimov <roman@khimov.ru>
-Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev (>= 5.1.0), qt5-qmake (>= 5.1.0), qtbase5-dev-tools (>= 5.1.0), libqt5serialport5-dev (>= 5.1.0)
-Standards-Version: 3.9.8
-Homepage: http://github.com/neundorf/CuteCom
+Build-Depends: debhelper (>= 12), cmake (>= 2.8.11), qtbase5-dev (>= 5.3.0), qt5-qmake (>= 5.3.0), qtbase5-dev-tools (>= 5.3.0), libqt5serialport5-dev (>= 5.3.0)
+Standards-Version: 4.6.1
+Homepage: https://gitlab.com/cutecom/cutecom
 
 Package: cutecom
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4

https://gitlab.com/cutecom/cutecom/tags?sort=updated_desc .*/uploads/[a-f0-9]+/cutecom-(.*)\.tgz
